#include <math.h>
#include <allegro.h>
#include "alleggl.h"
#include "triangles.h"
#include "drawing.h"

double					rotatebody = 0;

void draw_abombman(double x, double y, double z);
void draw_floortile(double x, double y, double z, struct TRIANGLEINFO *tile_info);
void draw_object(double x, double y, double z, struct TRIANGLEINFO *object_info, double scalefac, double rotate);

void draw_abombman(double x, double y, double z)
{
	glPushMatrix();
	glTranslatef (x, y, z);
	glRotatef(rotatebody, 0.0, 0.0, 1.0);
//	glRotatef(30, 1.0, 0.0, 0.0);
    glBegin(GL_TRIANGLES);
	trianglelist_to_vertex(abombman_body);
	glEnd();
	glPopMatrix();
}

void draw_floortile(double x, double y, double z, struct TRIANGLEINFO *tile_info)
{
	glPushMatrix();
	glTranslatef (x, y, z);
    glBegin(GL_TRIANGLES);
	trianglelist_to_vertex(tile_info);
	glEnd();
	glPopMatrix();
}

void draw_object(double x, double y, double z, struct TRIANGLEINFO *object_info, double scalefac, double rotate)
{
	glPushMatrix();
	if (model_detail>=4)
	{
		glEnable(GL_BLEND);
		glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
	}
	glTranslatef (x, y, z);
	if (rotate<0)
		glRotatef(rotatebody, 0.0, 0.0, 1.0);
	else
		glRotatef(rotate, 0.0, 0.0, 1.0);
	if (scalefac!=1)
		glScalef(scalefac,scalefac,scalefac);
    glBegin(GL_TRIANGLES);
	trianglelist_to_vertex(object_info);
	glEnd();
	if (model_detail>=4)
		glDisable(GL_BLEND);
	glPopMatrix();
}

